<template>
  <div class="sub-navigation container">
    <div>
       <nav class="navbar navbar-expand-lg navbar-light">
            <!-- <a class="navbar-brand" href="#"></a> -->
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarTogglerDemo02" aria-controls="navbarTogglerDemo02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
              <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
                <li class="nav-item">
                   <router-link :to="{name: 'CurrentState', query: Object.assign({}, { locale: $i18n.locale }) }"  class="nav-link" active-class="active"> <button class="btn btn-primary weight" v-on:click="showCurrent()">{{ $t("message.statistics.currentState") }}</button></router-link>
                 </li>
                 <li class="nav-item">
                 <router-link :to="{name: 'Evolution', query: Object.assign({}, { locale: $i18n.locale }) }" class="nav-link" active-class="active"> <button class="btn btn-primary weight" v-on:click="showEvolution()">{{ $t("message.statistics.evolution") }}</button></router-link>
                </li>
            </ul>
            <span class="updated"><i class="fas fa-history"></i> {{ $t('message.metadata.updatedLowerCase') }} <br> <span class="date" > {{this.date.date}}  </span></span>
            </div>
       </nav>
     </div>
  </div>
</template>

<script>
import axios from 'axios'

export default {
  name: 'SubNav',
  data () {
    return {
      isactive: true,
      current: true,
      evolution: false,
      Catalogues: [],
      length: '',
      date: []
    }
  },
  methods: {
    showCurrent () {
      this.isactive = true
      this.evolution = false
      this.current = true
      return this.evolution && this.current
    },
    showEvolution () {
      this.isactive = false
      this.evolution = true
      this.current = false
      return this.evolution && this.current
    },
    getDate () {
      this.length = this.Catalogues.stats.length
      this.date = this.Catalogues.stats[this.length - 1]
    },
    requestData () {
      axios.get(this.$env.ROOT_API + '/data/num-datasets', { // http://odp-lic.ppe-aws.europeandataportal.eu:9090/data/ds-per-catalogue'
      })
        .then(response => {
          this.Catalogues = response.data
          this.getDate()
        })
        .catch(err => {
          this.errorMessage = err.response.data.error
          this.showError = true
        })
    }
  },
  created: function () {
    this.requestData()
  }
}
</script>

<style lang="scss" scoped>

.btn {
  border-radius: 1.875rem;
}

.btn-primary {
  background-color: var(--medium-blue);
  border-color: var(--medium-blue);

  &:hover {
    background-color: #4070d6;
    border-color: #4476e2;
  }
}

.active .btn {
  background-color: #001D85 !important;
  border-color: #001D85 !important;
}

.weight{
  font-weight: 300;
}

.sub-navigation{
  padding-top:5px;
  background-color: #fff;
}

.updated{
  font-family: 'Ubuntu', -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 12px;
  text-align: right;
  font-weight: 100;
}

.date {
  background-color: #cddbe8;
  padding: 3px;
  border-radius: 3px;
  font-weight: 200;
}
</style>
